Package org.apache.tomcat.util.http.fileupload

## Interface FileItemFactory

- All Known Implementing Classes:
    `DiskFileItemFactory`

      public interface FileItemFactory

  A factory interface for creating `FileItem` instances. Factories can provide their own custom configuration, over and above that provided by the default file upload implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileItem` | `createItem​(String fieldName, String contentType, boolean isFormField, String fileName)` | Create a new `FileItem` instance from the supplied parameters and any local factory configuration.

- - ### Method Detail

    - #### createItem

          FileItem createItem​(String fieldName,
                              String contentType,
                              boolean isFormField,
                              String fileName)

      Create a new `FileItem` instance from the supplied parameters and any local factory configuration.
      Parameters:
        `fieldName` - The name of the form field.
        `contentType` - The content type of the form field.
        `isFormField` - `true` if this is a plain form field; `false` otherwise.
        `fileName` - The name of the uploaded file, if any, as supplied by the browser or other client.
      Returns:
        The newly created file item.